object WebBrowserProjectOptionsForm: TWebBrowserProjectOptionsForm
  Left = 157
  Height = 430
  Top = 172
  Width = 508
  Caption = 'Pas2JS Browser project options'
  ClientHeight = 430
  ClientWidth = 508
  OnCreate = FormCreate
  OnShow = FormShow
  Position = poScreenCenter
  LCLVersion = '7.7'
  object CBCreateHTML: TCheckBox
    AnchorSideLeft.Control = Owner
    AnchorSideTop.Control = Owner
    Left = 6
    Height = 19
    Top = 6
    Width = 148
    BorderSpacing.Left = 6
    BorderSpacing.Top = 6
    Caption = 'Create initial HTML page'
    Checked = True
    OnChange = CBCreateHTMLChange
    State = cbChecked
    TabOrder = 0
  end
  object CBUseBrowserApp: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = cbShowUncaughtExceptions
    AnchorSideTop.Side = asrBottom
    Left = 6
    Height = 19
    Top = 106
    Width = 182
    BorderSpacing.Top = 6
    Caption = 'Use Browser Application object'
    OnChange = CBUseBrowserAppChange
    TabOrder = 1
  end
  object CBUseBrowserConsole: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = edtWasmProgram
    AnchorSideTop.Side = asrBottom
    Left = 6
    Height = 19
    Top = 185
    Width = 292
    BorderSpacing.Top = 6
    Caption = 'Use Browser Console unit to display writeln() output'
    TabOrder = 2
  end
  object BPHelpOptions: TButtonPanel
    Left = 6
    Height = 34
    Top = 390
    Width = 496
    OKButton.Name = 'OKButton'
    OKButton.DefaultCaption = True
    HelpButton.Name = 'HelpButton'
    HelpButton.DefaultCaption = True
    CloseButton.Name = 'CloseButton'
    CloseButton.DefaultCaption = True
    CancelButton.Name = 'CancelButton'
    CancelButton.DefaultCaption = True
    TabOrder = 3
    ShowButtons = [pbOK, pbCancel]
  end
  object SEPort: TSpinEdit
    AnchorSideLeft.Control = edtWasmProgram
    AnchorSideTop.Control = RBStartServerAt
    AnchorSideTop.Side = asrBottom
    Left = 70
    Height = 23
    Top = 260
    Width = 128
    BorderSpacing.Top = 6
    MaxValue = 65354
    MinValue = 1024
    TabOrder = 4
    Value = 3000
  end
  object CBUseHTTPServer: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = CBUseBrowserConsole
    AnchorSideTop.Side = asrBottom
    Left = 6
    Height = 19
    Top = 210
    Width = 164
    BorderSpacing.Top = 6
    Caption = 'Project needs a HTTP Server'
    OnChange = CBUseHTTPServerChange
    TabOrder = 5
  end
  object RBStartServerAt: TRadioButton
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = CBUseHTTPServer
    AnchorSideTop.Side = asrBottom
    Left = 38
    Height = 19
    Top = 235
    Width = 150
    BorderSpacing.Left = 32
    BorderSpacing.Top = 6
    Caption = 'Start HTTP Server on port'
    Checked = True
    TabOrder = 6
    TabStop = True
  end
  object RBUseURL: TRadioButton
    AnchorSideLeft.Control = RBStartServerAt
    AnchorSideTop.Control = SEPort
    AnchorSideTop.Side = asrBottom
    Left = 38
    Height = 19
    Top = 285
    Width = 146
    BorderSpacing.Top = 2
    Caption = 'Use this URL to start app'
    TabOrder = 7
  end
  object CBServerURL: TComboBox
    AnchorSideLeft.Control = edtWasmProgram
    AnchorSideTop.Control = RBUseURL
    AnchorSideTop.Side = asrBottom
    AnchorSideRight.Control = edtWasmProgram
    AnchorSideRight.Side = asrBottom
    Left = 70
    Height = 23
    Top = 310
    Width = 432
    Anchors = [akTop, akLeft, akRight]
    BorderSpacing.Top = 6
    BorderSpacing.Bottom = 6
    ItemHeight = 15
    TabOrder = 8
  end
  object CBMaintainPage: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = CBCreateHTML
    AnchorSideTop.Side = asrBottom
    Left = 6
    Height = 19
    Top = 31
    Width = 129
    BorderSpacing.Top = 6
    Caption = 'Maintain HTML Page'
    TabOrder = 9
  end
  object CBRunOnReady: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = CBMaintainPage
    AnchorSideTop.Side = asrBottom
    Left = 6
    Height = 19
    Top = 56
    Width = 266
    BorderSpacing.Top = 6
    Caption = 'Run rtl when all page resources are fully loaded'
    TabOrder = 10
  end
  object cbShowUncaughtExceptions: TCheckBox
    AnchorSideLeft.Control = CBRunOnReady
    AnchorSideTop.Control = CBRunOnReady
    AnchorSideTop.Side = asrBottom
    Left = 6
    Height = 19
    Top = 81
    Width = 193
    BorderSpacing.Top = 6
    Caption = 'Let rtl show uncaught exceptions'
    TabOrder = 11
  end
  object CBUseWASI: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = CBUseBrowserApp
    AnchorSideTop.Side = asrBottom
    Left = 38
    Height = 19
    Top = 131
    Width = 166
    BorderSpacing.Left = 32
    BorderSpacing.Top = 6
    Caption = 'Host webassembly program'
    Enabled = False
    TabOrder = 12
  end
  object edtWasmProgram: TEdit
    AnchorSideLeft.Control = CBUseWASI
    AnchorSideTop.Control = CBUseWASI
    AnchorSideTop.Side = asrBottom
    AnchorSideRight.Control = Owner
    AnchorSideRight.Side = asrBottom
    Left = 70
    Height = 23
    Top = 156
    Width = 432
    Anchors = [akTop, akLeft, akRight]
    BorderSpacing.Left = 32
    BorderSpacing.Top = 6
    BorderSpacing.Right = 6
    Enabled = False
    TabOrder = 13
    TextHint = 'Name of your webassembly file'
  end
end
